[
  {
    "description": "",
    "elements": [
      {
        "description": "",
        "id": "configuración-de-mailgun-en-ghost;usuario-se-loguea-exitosamente,-ajusta-los-parametros-de-mailgun-y-luego-hace-logout",
        "keyword": "Scenario",
        "line": 4,
        "name": "Usuario se loguea exitosamente, ajusta los parametros de mailgun y luego hace logout",
        "steps": [
          {
            "keyword": "Before",
            "hidden": true,
            "result": {
              "status": "passed",
              "duration": 11829000000
            }
          },
          {
            "arguments": [],
            "keyword": "Given ",
            "line": 5,
            "name": "I navigate to page \"http://localhost:2368/ghost/#/signin\"",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/web.js:41"
            },
            "result": {
              "status": "passed",
              "duration": 2817000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 26588 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "When ",
            "line": 6,
            "name": "I wait for 2 seconds",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/both.js:73"
            },
            "result": {
              "status": "passed",
              "duration": 6148000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 34600 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 7,
            "name": "I enter \"<ADMIN_EMAIL>\" into element \"#identification\"",
            "match": {
              "location": "features/web/step_definitions/step.js:8"
            },
            "result": {
              "status": "passed",
              "duration": 1699000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 36984 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 8,
            "name": "I enter \"<ADMIN_PASSWORD>\" into element \"#password\"",
            "match": {
              "location": "features/web/step_definitions/step.js:8"
            },
            "result": {
              "status": "passed",
              "duration": 3054000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 37048 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 9,
            "name": "I click element \"button[type='submit']\"",
            "match": {
              "location": "features/web/step_definitions/step.js:13"
            },
            "result": {
              "status": "passed",
              "duration": -699000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 74068 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "When ",
            "line": 10,
            "name": "I wait for 5 seconds",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/both.js:73"
            },
            "result": {
              "status": "passed",
              "duration": 7687000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 88048 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "Then ",
            "line": 11,
            "name": "I should be on the \"http://localhost:2368/ghost/#/dashboard\" page",
            "match": {
              "location": "features/web/step_definitions/step.js:38"
            },
            "result": {
              "status": "passed",
              "duration": 2963000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 88212 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 12,
            "name": "I wait for 5 seconds",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/both.js:73"
            },
            "result": {
              "status": "passed",
              "duration": 7820000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 88568 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "When ",
            "line": 14,
            "name": "I navigate to page \"http://localhost:2368/ghost/#/settings/mailgun\"",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/web.js:41"
            },
            "result": {
              "status": "passed",
              "duration": 567000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 15912 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 15,
            "name": "I wait for 2 seconds",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/both.js:73"
            },
            "result": {
              "status": "passed",
              "duration": 4141000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 85192 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 16,
            "name": "I click element \"//div[@data-testid='mailgun']//button[normalize-space()='Edit']\"",
            "match": {
              "location": "features/web/step_definitions/step.js:13"
            },
            "result": {
              "status": "passed",
              "duration": 4412000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 86464 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 17,
            "name": "I enter \"<MAILGUN_EMAIL>\" into element \"input[name=':r1j:']\"",
            "match": {
              "location": "features/web/step_definitions/step.js:8"
            },
            "result": {
              "status": "passed",
              "duration": 1748000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 95680 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 18,
            "name": "I enter \"<MAILGUN_API_KEY>\" into element \"input[name=':r1l:']\"",
            "match": {
              "location": "features/web/step_definitions/step.js:8"
            },
            "result": {
              "status": "passed",
              "duration": 1422000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 96648 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 19,
            "name": "I click element \"//div[@data-testid='mailgun']//div[contains(@class, 'css-cp01gg-control')]\"",
            "match": {
              "location": "features/web/step_definitions/step.js:13"
            },
            "result": {
              "status": "passed",
              "duration": -725000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 99000 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 20,
            "name": "I wait for 2 seconds",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/both.js:73"
            },
            "result": {
              "status": "passed",
              "duration": 5967000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 99000 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 21,
            "name": "I press Enter",
            "match": {
              "location": "features/web/step_definitions/step.js:43"
            },
            "result": {
              "status": "passed",
              "duration": 3080000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 97008 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 22,
            "name": "I wait for 2 seconds",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/both.js:73"
            },
            "result": {
              "status": "passed",
              "duration": 6170000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 97008 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 23,
            "name": "I click element \"//div[@data-testid='mailgun']//button[normalize-space()='Save']\"",
            "match": {
              "location": "features/web/step_definitions/step.js:13"
            },
            "result": {
              "status": "passed",
              "duration": 3086000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 113280 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 24,
            "name": "I wait for 5 seconds",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/both.js:73"
            },
            "result": {
              "status": "passed",
              "duration": 7695000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 112948 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "Then ",
            "line": 25,
            "name": "I should see \"Mailgun is set up\" in element \"//div[@data-testid='mailgun']\"",
            "match": {
              "location": "features/web/step_definitions/step.js:24"
            },
            "result": {
              "status": "passed",
              "duration": 1545000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 112948 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 26,
            "name": "I wait for 5 seconds",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/both.js:73"
            },
            "result": {
              "status": "passed",
              "duration": 5526000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 112948 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 27,
            "name": "I click element \"//*[@data-testid='exit-settings']\"",
            "match": {
              "location": "features/web/step_definitions/step.js:13"
            },
            "result": {
              "status": "passed",
              "duration": 2971000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 87980 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 28,
            "name": "I wait for 5 seconds",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/both.js:73"
            },
            "result": {
              "status": "passed",
              "duration": 7700000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 87992 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "When ",
            "line": 30,
            "name": "I click element \".gh-user-avatar\"",
            "match": {
              "location": "features/web/step_definitions/step.js:13"
            },
            "result": {
              "status": "passed",
              "duration": 1822000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 130160 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 31,
            "name": "I click element \".user-menu-signout\"",
            "match": {
              "location": "features/web/step_definitions/step.js:13"
            },
            "result": {
              "status": "passed",
              "duration": 1616000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 4300 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 32,
            "name": "I wait for 5 seconds",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/both.js:73"
            },
            "result": {
              "status": "passed",
              "duration": 7262000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 34600 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "Then ",
            "line": 33,
            "name": "I should be on the \"http://localhost:2368/ghost/#/signin\" page",
            "match": {
              "location": "features/web/step_definitions/step.js:38"
            },
            "result": {
              "status": "passed",
              "duration": 96000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 34600 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "keyword": "After",
            "hidden": true,
            "result": {
              "status": "passed",
              "duration": 5693000000
            }
          }
        ],
        "tags": [
          {
            "name": "@user12",
            "line": 3
          },
          {
            "name": "@web",
            "line": 3
          }
        ],
        "type": "scenario"
      }
    ],
    "id": "configuración-de-mailgun-en-ghost",
    "line": 1,
    "keyword": "Feature",
    "name": "Configuración de Mailgun en Ghost",
    "tags": [],
    "uri": "features/04-mailgun_settings_admin.feature"
  }
]